
//librerias propias--------------------

#include <GloboSonda.h>
#define PIN_POWERKEY_SIM808 16
#define PIN_RX_SIM808 4
#define PIN_TX_SIM808 5
Sim808Manager sim808;
SoftwareSerial sserial(PIN_RX_SIM808, PIN_TX_SIM808,false);
char buf[1024];

void setup() {
  Serial.begin(9600);
  Serial.println("Iniciando");
  if(!sim808.inicia(&sserial, PIN_POWERKEY_SIM808, 9600))
  {
      Serial.println("Error al iniciar modulo gps");
  }
  else
     Serial.println("GPS iniciado...");  

}

void loop(){
  char strFecha[24];
  char precision[32];
   DataGPSSimManager* coor=sim808.GetGPS();
   coor->getFecha(strFecha);
  Serial.print(strFecha);
  Serial.print(" lon: ");
  Serial.print(coor->lon);
  Serial.print(" lat: ");
  Serial.print(coor->lat);
  
  Serial.print(" altitud: ");
  Serial.print(coor->altitude);
  Serial.print(" velocidad: ");
  Serial.print(coor->speed_kmh);
  Serial.print(" precision: ");
  Serial.print(coor->getPrecision(precision));
  Serial.print(" nsat: ");
  Serial.println(coor->nSatelites);

  delay(2000);
}
